# Class: StorePostCartsCartLineItemsReq

[internal](../modules/internal-39.md).StorePostCartsCartLineItemsReq

## Properties

### metadata

• `Optional` **metadata**: `Record`<`string`, `unknown`\>

#### Defined in

medusa/dist/api/routes/store/carts/create-line-item/index.d.ts:62

___

### quantity

• **quantity**: `number`

#### Defined in

medusa/dist/api/routes/store/carts/create-line-item/index.d.ts:61

___

### variant\_id

• **variant\_id**: `string`

#### Defined in

medusa/dist/api/routes/store/carts/create-line-item/index.d.ts:60
